Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cfg
Class VerifyFetchProfileReferenceSecondPass

    java.lang.Object
      org.hibernate.cfg.VerifyFetchProfileReferenceSecondPass

All Implemented Interfaces:
  Serializable, SecondPass

    public class VerifyFetchProfileReferenceSecondPass

extends Object
implements SecondPass

See Also:
  Serialized Form

Constructor Summary
`VerifyFetchProfileReferenceSecondPass(String fetchProfileName, FetchProfile.FetchOverride fetch, Mappings mappings)`

Method Summary
`void` | `doSecondPass(Map persistentClasses)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VerifyFetchProfileReferenceSecondPass

    public VerifyFetchProfileReferenceSecondPass(String fetchProfileName,
                                                 FetchProfile.FetchOverride fetch,
                                                 Mappings mappings)

Method Detail

### doSecondPass

    public void doSecondPass(Map persistentClasses)
                      throws MappingException

  Specified by:
    `doSecondPass` in interface `SecondPass`
  Throws:
    `MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.